/* Riot v7.0.7, @license MIT */
import { template, expressionTypes, bindingTypes } from '@riotjs/dom-bindings';

/**
 * Factory function to create the component templates only once
 * @param   {Function} template - component template creation function
 * @param   {RiotComponentWrapper} componentWrapper - riot compiler generated object
 * @param   {Function} getChildComponent - getter function to return the children components
 * @returns {TemplateChunk} template chunk object
 */
function componentTemplateFactory(template$1, componentWrapper, getChildComponent) {
  return template$1(template, expressionTypes, bindingTypes, getChildComponent);
}

export { componentTemplateFactory };
